--NpCsetALT 27Aug2013
--Programto set Autopilot Altitude
--Al Klayton 1Oct2013

--acr = ipc.get("ACTIVE_RADIO")
ipc.set("KEY_POS", 1)
onoff = ipc.get("ONOFF")
aircraft_sel = ipc.get("CURR_AIRCRAFT")

tab="\t\t\t\t\t\t\t\t\t\t\t\t\t\t"   -- tab is used to position NpC "messages" along the green bar
if (not(onoff == nil) and onoff == "OFF") then
	return
end
--The following code allows the "normal" AP ALT key to do double duty as the AP ALT Hold key for the A2A Cherokee 180

 if aircraft_sel=="2" then                    -- is Cherokee 180 the selected a/c
    apMaster=ipc.readLvar("L:ApMaster")
    ipc.sleep(100)
    if apMaster~=1 then                      --is Cherokee AP on?
       ipc.writeSTR(0x3380, tab.."AP Not On")
       ipc.writeSW(0x32FA, 4)              -- display message on green bar for 3 sec
       return
	 else   
         apAltLite = ipc.readLvar("L:ApAltLight")  
         ipc.sleep(100)
		 if apAltLite==0 then                 --is Alt hold presently off?
            apModeSel = ipc.readLvar("L:ApMode")
		    ipc.sleep(100)
            if apModeSel==nil or apModeSel < 1 or apModeSel > 4 then   -- AP mode ST, or HD, or Track High or Track Low must be active to engage Altitude hold
	           ipc.writeSTR(0x3380, tab.."No AP Mode Active")  -- display on green bar                                        
               ipc.writeSW(0x32FA, 4)
		       return
	        end
         end	  
       ipc.writeLvar("L:ApAltSwitch", 1)    --toggle AP Altitude Hold switch
       ipc.sleep(100)   
       ipc.writeLvar("L:ApAltSwitch", 0)
       apAltLite = ipc.readLvar("L:ApAltLight")  
         ipc.sleep(100)
		 if apAltLite==0 then
	        ipc.writeSTR(0x3380, tab.."ALT HOLD Off") 
         else
            ipc.writeSTR(0x3380, tab.."ALT HOLD On")
         end			                                      
       ipc.writeSW(0x32FA, 4)         -- display on green bar 
	   return
   end                                  -- end check if AP on
  end                                 -- end of code for Cherokee 180 AP ALT Hold
 -------------------------------------------------------------------------------------------  
ipc.set("ACTIVE_RADIO", "AP_ALT");

ipc.writeSTR(0x3380, tab.."AP ALT, 5 Digits");             -- display active radio on green bar

ipc.writeSW(0x32FA, 4);                       --display AP Altitude on green bar for 4 sec
