-- NpCsetCRS 19Sept2013 1Oct2013
--Updated for PMDG B777 1Feb15
--Modified to refer to CRS (course) instead of OBS 8Feb2015
--Al Klayton 

acr = ipc.get("ACTIVE_RADIO")
ipc.set("KEY_POS", 1)
onoff = ipc.get("ONOFF")
aircraft_sel = ipc.get("CURR_AIRCRAFT")
tab="\t\t\t\t\t\t\t\t\t\t\t\t\t\t"   -- tab is used to position NpC "messages" along the green bar
if (not(onoff == nil) and onoff == "OFF") then
	return
end

if acr~= "CRS_1" and acr~= "CRS_2" then
acr = "CRS_2"                                 -- init for CRS script, note covers case of acr=nil, will get toggled to CRS_1 below as initial setting
end


if aircraft_sel=="5" then                                 --PMDG B777
     ipc.writeSTR(0x3380, tab.."Enter Nav Data on the FMC NAV/RAD Page")
	 ipc.writeSW(0x32FA, 4)
	 return
end	 

if ipcPARAM == 1 then                                         --set up for code below which assumes toggle selection mode
	acr = "CRS_2"                                              --ipcPARAM =0 for toggle, =1 for CRS_1 only, =2 for CRS_2 only
    else 
	if ipcPARAM == 2 then 
	   acr = "CRS_1"
    end
end

if not(acr == nil) and acr == "CRS_1" then   
       nacr = "CRS_2"                                             --do this code if active CRS is CRS_2 to setup for CRS toggle
       ipc.writeSTR(0x3380, tab.."CRS2, 3 Digits");                            -- write active CRS to green bar
else 
      nacr = "CRS_1"                                             --do this code if active CRS is CRS_1 to setup for CRS toggle     
      ipc.writeSTR(0x3380, tab.."CRS1, 3 Digits");                              -- write active CRS to green bar
end 

ipc.set("ACTIVE_RADIO", nacr);      
ipc.writeSW(0x32FA, 4);                                     --display active radio on green bar for 4 sec


