--NpCsetCherAP 22Feb15
-- A2A Cherokee 180 AutoPilot function
--ipcPARAM: 20=AP mode select, 21=Alt hold toggle, 22=AP Disconnect switch
--Al Klayton

--apModeSel=ipc.get("L:AP_MODE")

tab="\t\t\t\t\t\t\t\t\t\t\t\t\t\t"   -- tab is used to position NpC "messages" along the green bar
onoff = ipc.get("ONOFF")
if (not(onoff == nil) and onoff == "OFF") then
	return
end

   apMaster=ipc.readLvar("L:ApMaster")
   ipc.sleep(100)
   if apMaster~=1 then
   ipc.writeSTR(0x3380, tab.." AP Not On")
   ipc.writeSW(0x32FA, 4)              -- display message on green bar for 3 sec
   return
end

if ipcPARAM==22 then
   ipc.writeLvar("L:ApDisconnectSwitch", 1)    --toggle AP disconnect switch
   ipc.sleep(100)   
   ipc.writeLvar("L:ApDisconnectSwitch", 0)
   ipc.writeSTR(0x3380, tab.."AP DISCONNECT Switch")  -- display on green bar                                       
   ipc.writeSW(0x32FA, 4)
   
elseif ipcPARAM==21 then       --Ap Alt Hold
         apAltLite = ipc.readLvar("L:ApAltLight")  
         ipc.sleep(100)
		 if apAltLite==0 then                 --is Alt hold presently off?
            apModeSel = ipc.readLvar("L:ApMode")
		    ipc.sleep(100)
            if apModeSel==nil or apModeSel < 1 or apModeSel > 4 then   -- AP mode ST, or HD, or Track High or Track Low must be active to engage Altitude hold
	           ipc.writeSTR(0x3380, tab.."No AP Mode Active")  -- display on green bar                                        
               ipc.writeSW(0x32FA, 4)
		       return
	        end
         end	  
       ipc.writeLvar("L:ApAltSwitch", 1)    --toggle AP Altitude switch
       ipc.sleep(100)   
       ipc.writeLvar("L:ApAltSwitch", 0)
       apAltLite = ipc.readLvar("L:ApAltLight")  
         ipc.sleep(100)
		 if apAltLite==0 then
	        ipc.writeSTR(0x3380, tab.."ALT HOLD Off") 
         else
            ipc.writeSTR(0x3380, tab.."ALT HOLD On")
         end			                                      
       ipc.writeSW(0x32FA, 4)         -- display on green bar 
   
   
elseif ipcPARAM==20 then
     ipc.writeLvar("L:ApModeYokeSwitch", 1)   --toggle yoke mode switch to change AP modes
     ipc.sleep(100)
     ipc.writeLvar("L:ApModeYokeSwitch", 0)
	 ipc.sleep(100)
	 apModeSel = ipc.readLvar("L:ApMode")
	 ipc.sleep(100)
	 if apModeSel==1 then
	    apModeTxt="ST"
	 elseif
    	apModeSel==2 then
	    apModeTxt="HD"	
	 elseif
     	apModeSel==3 then
	    apModeTxt="Track Low" 
	 elseif
	    apModeSel==4 then
	    apModeTxt="Track High"
	 end	
	 	if apModeSel==nil or apModeSel < 1 or apModeSel > 4 then   
	       ipc.writeSTR(0x3380, tab.."No AP Mode Active")          -- display on green bar 
		else   
           ipc.writeSTR(0x3380, tab.."AP MODE "..apModeTxt)  -- display on green bar
        end		   
     ipc.writeSW(0x32FA, 4)
end   
   
    




