-- NpCsetNAV&OBS  18Sep2013
-- Nav frequencies displayed directly on radio
-- OBS settings rotate OBS ring 1Oct2013
--Updated for PMDG B777 1Feb15
--Al Klayton

--acr = ipc.get("ACTIVE_RADIO")
ipc.set("KEY_POS", 1)
onoff = ipc.get("ONOFF")
select=ipc.get("NAVorOBS_SEL")
aircraft_sel = ipc.get("CURR_AIRCRAFT")
tab="\t\t\t\t\t\t\t\t\t\t\t\t\t\t"   -- tab is used to position NpC "messages" along the green bar

if (not(onoff == nil) and onoff == "OFF") then
	return
end

if aircraft_sel=="5" then
     ipc.writeSTR(0x3380, tab.."Enter Nav Data on the FMC NAV/RAD Page")
	 ipc.writeSW(0x32FA, 4)
	 return
end	 


if ipcPARAM==0 then                           -- FSUIPC Parameter=0 for 2 Navs/OBSs, =1 for just Nav1/OBS1, =2 for just Nav2/OBS2
   selectmin=1
   selectmax=4
 elseif ipcPARAM==1 then
   selectmin=1
   selectmax=2
  elseif ipcPARAM==2 then
   selectmin=3
   selectmax=4
 end  
   

if select==nil or select < selectmin or select >= selectmax then            --select used to point to Nav or OBS 
    select=selectmin	
  else
     select=select+1	 
 end 
 
ipc.set("NAVorOBS_SEL", select)

if select ==1 then
    acr="NAV_1" 
    ipc.writeSTR(0x3380, tab.."NAV1 Freq, 5 Digits")                            --display selection on green bar                                       
    ipc.writeSW(0x32FA, 4);                            --show selection on green bar for 4 sec
        
  elseif select==2 then
    acr="OBS_1"
    ipc.writeSTR(0x3380, tab.."OBS1, 3 Digits");         --display selection on green bar                                       
   ipc.writeSW(0x32FA, 4);                            --show selection on green bar for 4 sec    
    
  elseif select==3 then
    acr="NAV_2" 
    ipc.writeSTR(0x3380, tab.."NAV2 Freq, 5 Digits");                           --display selection on green bar                                       
    ipc.writeSW(0x32FA, 4);                            --show selection on green bar for 4 sec
           
 elseif select==4 then
    acr="OBS_2"
    ipc.writeSTR(0x3380, tab.. "OBS2, 3 Digits");         --display selection on green bar                                       
   ipc.writeSW(0x32FA, 4);                            --show selection on green bar for 4 sec  
 end
 
ipc.set("ACTIVE_RADIO", acr)


