-- NpCsetNAV 14Aug2013 
--Program modified to not show frequencies on green bar 1Oct2103
--Updated for FLight1 KA B200, PMDG 737NGX and PMDG B777 1Feb15
--Al Klayton

acr = ipc.get("ACTIVE_RADIO")
ipc.set("KEY_POS", 1)
onoff = ipc.get("ONOFF")
aircraft_sel = ipc.get("CURR_AIRCRAFT")
tab="\t\t\t\t\t\t\t\t\t\t\t\t\t\t"   -- tab is used to position NpC "messages" along the green bar 
newline="\n"
if (not(onoff == nil) and onoff == "OFF") then
	return
end

if acr~= "NAV_1" and acr~= "NAV_2" then
acr = "NAV_2"                                 -- init for NAV script, note covers case of acr=nil, will get toggled to NAV_1 below as initial setting
end

if aircraft_sel=="5" then
     ipc.writeSTR(0x3380, tab.."Enter Nav Data on the FMC NAV/RAD Page")   --PMDG B777
	 ipc.writeSW(0x32FA, 4)
	 return
end	 
if ipcPARAM == 1 then                                         --set up for code below which assumes toggle selection mode
	acr = "NAV_2"                                       
    else 
	if ipcPARAM == 2 then 
	   acr = "NAV_1"
              end
end

if not(acr == nil) and acr == "NAV_1" then   
       nacr = "NAV_2"                                             --do this code if active radio is NAV_2 to setup for Nav radio toggle
       ipc.writeSTR(0x3380, tab.."NAV2 Freq, 5 Digits");                            -- write active radio to green bar
else 
      nacr = "NAV_1"                                             --do this code if active radio is NAV_1 to setup for Nav radio toggle     
	  ipc.writeSTR(0x3380, tab.."NAV1 Freq, 5 Digits");                              -- write active radio to green bar
end 

ipc.set("ACTIVE_RADIO", nacr);      
ipc.writeSW(0x32FA, 4);                                     --display active radio on green bar for 4 sec
