-- NpCsetOBS 19Sept2013 1Oct2013
--Updated for PMDG B777 1Feb15
--Al Klayton 

acr = ipc.get("ACTIVE_RADIO")
ipc.set("KEY_POS", 1)
onoff = ipc.get("ONOFF")
aircraft_sel = ipc.get("CURR_AIRCRAFT")
tab="\t\t\t\t\t\t\t\t\t\t\t\t\t\t"   -- tab is used to position NpC "messages" along the green bar

if (not(onoff == nil) and onoff == "OFF") then
	return
end

if acr~= "OBS_1" and acr~= "OBS_2" then
acr = "OBS_2"                                 -- init for OBS script, note covers case of acr=nil, will get toggled to OBS_1 below as initial setting
end


if aircraft_sel=="5" then                                 --PMDG B777
     ipc.writeSTR(0x3380, tab.."Enter Nav Data on the FMC NAV/RAD Page")
	 ipc.writeSW(0x32FA, 4)
	 return
end	 

if ipcPARAM == 1 then                                         --set up for code below which assumes toggle selection mode
	acr = "OBS_2"                                              --ipcPARAM =0 for toggle, =1 for OBS_1 only, =2 for OBS_2 only
    else 
	if ipcPARAM == 2 then 
	   acr = "OBS_1"
    end
end

if not(acr == nil) and acr == "OBS_1" then   
       nacr = "OBS_2"                                             --do this code if active OBS is OBS_2 to setup for OBS toggle
       ipc.writeSTR(0x3380, tab.."OBS2, 3 Digits");                            -- write active OBS to green bar
else 
       nacr = "OBS_1"                                             --do this code if active OBS is OBS_1 to setup for OBS toggle     
       ipc.writeSTR(0x3380, tab.."OBS1, 3 Digits");                              -- write active OBS to green bar
end 

ipc.set("ACTIVE_RADIO", nacr);      
ipc.writeSW(0x32FA, 4);                                     --display active radio on green bar for 4 sec


