--NpCsetVS 27Aug2013
--Program to set Autopilot Vertical Speed
--Al Klayton 1Oct2013
-- Updated for 737NGX and B777
--acr = ipc.get("ACTIVE_RADIO")
ipc.set("KEY_POS", 1)
onoff = ipc.get("ONOFF")
aircraft_sel = ipc.get("CURR_AIRCRAFT")
tab="\t\t\t\t\t\t\t\t\t\t\t\t\t\t"   -- tab is used to position NpC "messages" along the green bar

if (not(onoff == nil) and onoff == "OFF") then
	return
end

--The following code allows the "normal" AP VS key to do double duty as the AP Disconnect key for the A2A Cherokee 180

if aircraft_sel =="2" then                 -- is selected a/c the Cherokee 180? 
 apMaster=ipc.readLvar("L:ApMaster")
 ipc.sleep(100)
 if apMaster~=1 then
   ipc.writeSTR(0x3380, tab.." AP Not On")
   ipc.writeSW(0x32FA, 4)              -- display message on green bar for 3 sec
   return
  else 
   ipc.writeLvar("L:ApDisconnectSwitch", 1)    --toggle AP disconnect switch to disconnect AP
   ipc.sleep(100)   
   ipc.writeLvar("L:ApDisconnectSwitch", 0)
   ipc.writeSTR(0x3380, tab.."AP DISCONNECT Switch")  -- display on green bar for 4 seconds                                      
   ipc.writeSW(0x32FA, 4)
   return
  end
 end                                        -- end of code for the Cherokee AP Disconnect switch
 --------------------------------------------------------------------------------------------------
 
if aircraft_sel =="4" or aircraft_sel=="5" then   --is a/c PMDG 737NGX or B777
	   vs_active=ipc.readLvar("L:ngx_MCP_VS")                               --check to see if VS window is "alive" for PMDG 737NGX and B777
	   ipc.sleep(10)
	   if vs_active~=1 then
	    ipc.writeSTR(0x3380, tab.."Vertical Speed Mode Not Active")                                   
        ipc.writeSW(0x32FA, 4)
		return
	   end
end
ipc.set("ACTIVE_RADIO", "AP_VS")

ipc.writeSTR(0x3380, tab.."AP VS, Up or Down and 4 Digits")             -- display active radio on green bar

ipc.writeSW(0x32FA, 4)                               --display AP Vertical Speed on green bar for 4 sec

